package com.jkcredit.invoice.hub.enums;

import com.jkcredit.invoice.hub.enums.base.EnumStatus;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ApiResponseCodeEnum implements EnumStatus {
    CODE_1000(1000, "无效用户!"),
    CODE_1010(1010, "参数不能为空!"),
    CODE_1020(1020, "参数类型不正确!"),
    CODE_1030(1030, "单日查询次数到达上限制!"),
    CODE_1040(1040, "appkey错误/签名校验失败/商户不存在!"),
    CODE_1050(1050, "账号使用时间未到!"),
    CODE_1060(1060, "账号使用时间已过!"),
    CODE_1070(1070, "总查询次数到达上限制!"),
    CODE_1080(1080, "商户未配置模块!"),
    CODE_1090(1090, "商户余额不足!"),
    CODE_1100(1100, "请求的API模块不存在!"),
    CODE_1110(1110, "商户单位时间内请求超过限制!"),
    CODE_9998(9998, "查询错误"),
    CODE_9999(9999, "其他异常-"),
    CODE_200(200, "成功");

    private Integer value;
    private String desc;
}
